org.jCharts.properties

## Class LabelAxisProperties

- java.lang.Object
- - org.jCharts.properties.Properties
  - - org.jCharts.properties.AxisTypeProperties
    - - org.jCharts.properties.LabelAxisProperties

- All Implemented Interfaces:
    Serializable, HTMLTestable
  Direct Known Subclasses:
    DataAxisProperties

      public class LabelAxisProperties
      extends AxisTypeProperties
      implements HTMLTestable

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jCharts.properties.AxisTypeProperties

      `GRID_LINES_ALL, GRID_LINES_NONE, GRID_LINES_ONLY_WITH_LABELS, TICKS_ALL, TICKS_NONE, TICKS_ONLY_WITH_LABELS`

    - ### Fields inherited from class org.jCharts.properties.Properties

      `DEFAULT_BACKGROUND_PAINT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LabelAxisProperties()`

  - ### Method Summary

    - ### Methods inherited from class org.jCharts.properties.AxisTypeProperties

      `getAxisStroke, getAxisTickMarkPixelLength, getAxisTitleChartFont, getGridLineChartStroke, getPaddingBetweenAxisAndLabels, getPaddingBetweenAxisLabels, getPaddingBetweenAxisTitleAndLabels, getPaddingBetweenLabelsAndTicks, getScaleChartFont, getShowEndBorder, getShowGridLines, getShowTicks, getTickChartStroke, getTitleChartFont, setAxisStroke, setAxisTickMarkPixelLength, setAxisTitleChartFont, setGridLineChartStroke, setPaddingBetweenAxisAndLabels, setPaddingBetweenAxisTitleAndLabels, setPaddingBetweenLabelsAndTicks, setPaddingBetweenXAxisLabels, setScaleChartFont, setShowAxisLabels, setShowEndBorder, setShowGridLines, setShowTicks, setTickChartStroke, setTitleChartFont, showAxisLabels, toHTML`

    - ### Methods inherited from class org.jCharts.properties.Properties

      `getBackgroundPaint, setBackgroundPaint`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jCharts.test.HTMLTestable

      `toHTML`

- - ### Constructor Detail

    - #### LabelAxisProperties

          public LabelAxisProperties()